> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/ipt/ip-transit/describeiptransitavailableasns.md).

# DescribeIPTransitAvailableAsns

## 1. API Description

This API (DescribeIPTransitAvailableAsns) is used to queries available ASNs for an IP Transit.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

None

## 3. Output Parameters

| Parameter Name | Type                                                            | Description                                                                                                           |
| -------------- | --------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| dataSet        | Array of [AsnInfo](/api-reference/ipt/datastructure.md#asninfo) | List of available ASNs.                                                                                               |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the list of available ASNs under the current account.**

```json
POST /api/v2/ipt HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeIPTransitAvailableAsns
<Common Request Params>

Request:
{}

Response:
{
  "requestId": "T12345678-ABCD-1234-EFGH-000000000001",
  "response": {
    "requestId": "T12345678-ABCD-1234-EFGH-000000000001",
    "dataSet": [
      {
        "asn": "64512",
        "asnType": "AS_SET"
      },
      {
        "asn": "13335",
        "asnType": "ASN"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
